<?
if (!defined('_GNUBOARD_')) exit;

// 최신글 추출
function head_menu($skin_dir="")
{
    global $g4, $gr_id, $is_admin, $bo_table, $stx, $sfl, $sop, $skin_outlogin, $skin_visit, $skin_connect, $skin_poll, $home_align, $home_width, $home_left, $home_right, $home_margin, $home_name, $config, $member;

    if ($skin_dir)
        $head_menu_skin_path = "$g4[path]/skin/head_menu/$skin_dir";
    else
        $head_menu_skin_path = "$g4[path]/skin/head_menu/basic";

	ob_start();
    include "$head_menu_skin_path/basic.skin.php";
    $content = ob_get_contents();
    ob_end_clean();

    return $content;
}

// 최신글 추출
function right_menu($skin_dir="")
{
    global $g4, $sub_tail, $gr_id, $is_admin, $bo_table, $stx, $sfl, $sop, $skin_outlogin, $skin_visit, $skin_connect, $skin_poll, $home_align, $home_width, $home_owner, $home_admin, $home_addr, $home_email, $home_right, $home_margin, $home_name, $config, $member;

    if ($skin_dir)
        $right_menu_skin_path = "$g4[path]/skin/right_menu/$skin_dir";
    else
        $right_menu_skin_path = "$g4[path]/skin/right_menu/basic";

	ob_start();
    include "$right_menu_skin_path/basic.skin.php";
    $content = ob_get_contents();
    ob_end_clean();

    return $content;
}

// 최신글 추출
function sub_tail($skin_dir="")
{
    global $g4, $sub_tail, $gr_id, $is_admin, $bo_table, $stx, $sfl, $sop, $skin_outlogin, $skin_visit, $skin_connect, $skin_poll, $home_align, $home_width, $home_owner, $home_admin, $home_addr, $home_email, $home_right, $home_margin, $home_name, $config, $member;

    if ($skin_dir)
        $sub_tail_skin_path = "$g4[path]/skin/tail/$skin_dir";
    else
        $sub_tail_skin_path = "$g4[path]/skin/tail/basic";

	ob_start();
    include "$sub_tail_skin_path/basic.skin.php";
    $content = ob_get_contents();
    ob_end_clean();

    return $content;
}

?>
